//
//  YHMainViewController.swift
//  galaxy
//
//  Created by EDY on 2023/12/20.
//

import UIKit
import SnapKit
import PDFKit

struct PersonalModuleItem {
    var icon: String
    var title: String
    
    init(icon: String, title: String) {
        self.icon = icon
        self.title = title
    }
}

class YHMyViewController: YHBaseViewController {
    lazy var tableView: UITableView = {
        let tableView = UITableView(frame: CGRect.zero, style:.plain)
        tableView.backgroundColor = UIColor.red
        tableView.separatorStyle = .none
        tableView.register(YHPersonalCenterCell.self, forCellReuseIdentifier: YHPersonalCenterCell.cellReuseIdentifier)
        tableView.delegate = self
        tableView.dataSource = self
        return tableView
    }()
    
    lazy var items: [PersonalModuleItem] = {
        return [PersonalModuleItem(icon: "", title: "我的管家"),
                PersonalModuleItem(icon: "", title: "我的订单"),
                PersonalModuleItem(icon: "", title: "我的合同"),
                PersonalModuleItem(icon: "", title: "我的进度"),
                PersonalModuleItem(icon: "", title: "我的积分"),
                PersonalModuleItem(icon: "", title: "我的设置"),
                PersonalModuleItem(icon: "", title: "关于我们"),]
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        view.addSubview(tableView);
        tableView.snp.makeConstraints { make in
            make.left.right.top.bottom.equalTo(view)
        }
    }
}

extension YHMyViewController : UITableViewDelegate, UITableViewDataSource {
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return items.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: YHPersonalCenterCell.cellReuseIdentifier, for: indexPath) as! YHPersonalCenterCell
        let item : PersonalModuleItem = items[indexPath.row];
        cell.updateItem(item: item)
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 50
    }
}
